package com.iamberry.wechat.core.entity.bindingApp;

import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;


/**
 * description 绑定机器码的后台传输实体
 * @author 欧阳明
 * @date：2016-6-12
 */
public class BindingMacInfo implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7668914350973161845L;
	private int id;
	private String  macId;
	private String  openid;
	private String userNickName;
	private String  drpName;
	private String  drpId;
	private String  imgHead;
	private String  drpPhone;
	private Date  bindTime;
	
	private String beginDate;
	private String endDate;
	private PageBean page = new PageBean();
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getMacId() {
		return macId;
	}
	public void setMacId(String macId) {
		this.macId = macId;
	}
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	public String getUserNickName() {
		return userNickName;
	}
	public void setUserNickName(String userNickName) {
		this.userNickName = userNickName;
	}
	public String getDrpName() {
		return drpName;
	}
	public void setDrpName(String drpName) {
		this.drpName = drpName;
	}
	public String getPhone() {
		return drpPhone;
	}
	public void setPhone(String phone) {
		this.drpPhone = phone;
	}
	public String getDrpPhone() {
		return drpPhone;
	}
	public void setDrpPhone(String drpPhone) {
		this.drpPhone = drpPhone;
	}
	public String getDrpId() {
		return drpId;
	}
	public void setDrpId(String drpId) {
		this.drpId = drpId;
	}
	public String getImgHead() {
		return imgHead;
	}
	public void setImgHead(String imgHead) {
		this.imgHead = imgHead;
	}
	public Date getBindTime() {
		return bindTime;
	}
	public void setBindTime(Date bindTime) {
		this.bindTime = bindTime;
	}
	public String getBeginDate() {
		return beginDate;
	}
	public void setBeginDate(String beginDate) {
		this.beginDate = beginDate;
	}
	public String getEndDate() {
		return endDate;
	}
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	@Override
	public String toString() {
		return "BindingMacInfo [id=" + id + ", macId=" + macId + ", openid="
				+ openid + ", userNickName=" + userNickName + ", drpName="
				+ drpName + ", drpId=" + drpId + ", imgHead=" + imgHead
				+ ", drpPhone=" + drpPhone + ", bindTime=" + bindTime
				+ ", beginDate=" + beginDate + ", endDate=" + endDate
				+ ", page=" + page + "]";
	}
}
